
From: Andrew Morton <akpm@osdl.org>

arch/ppc64/kernel/signal32.c: In function `sys32_rt_sigaction':
arch/ppc64/kernel/signal32.c:362: warning: implicit declaration of function `sigset_from_compat'

Another awful fix.

David Woodhouse <dwmw2@infradead.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/signal32.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ppc64/kernel/signal32.c~pselect-ppoll-system-calls-sigset_t-fix-3 arch/ppc64/kernel/signal32.c
--- 25/arch/ppc64/kernel/signal32.c~pselect-ppoll-system-calls-sigset_t-fix-3	2005-06-28 06:09:05.000000000 -0600
+++ 25-akpm/arch/ppc64/kernel/signal32.c	2005-06-28 06:09:45.000000000 -0600
@@ -39,6 +39,8 @@
 
 #define GP_REGS_SIZE32	min(sizeof(elf_gregset_t32), sizeof(struct pt_regs32))
 
+extern void sigset_from_compat (sigset_t *set, compat_sigset_t *compat);
+
 /*
  * When we have signals to deliver, we set up on the
  * user stack, going down from the original stack pointer:
_
